Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 803557 - app-crypt/gpgme-1.16.0 fails to build with sys-libs/glibc-2.34
Summary: app-crypt/gpgme-1.16.0 fails to build with sys-libs/glibc-2.34
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL: https://git.gnupg.org/cgi-bin/gitweb....
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: glibc-2.34
  Show dependency tree
 
Reported: 2021-07-23 19:33 UTC by Andreas K. Hüttel
Modified: 2021-09-06 16:05 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge-info.txt,15.10 KB, text/plain)
2021-07-23 19:34 UTC, Andreas K. Hüttel
Details
build log (gpgme-1.16.0:20210722-231312.log,65.32 KB, text/plain)
2021-07-23 19:34 UTC, Andreas K. Hüttel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel archtester gentoo-dev 2021-07-23 19:33:40 UTC
(This chroot is on master glibc 10 days before 2.34 release)


libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf -I/usr/include -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-for
mat-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c dirinfo.c  -fPIC -DPIC -o .libs/dirinfo.o
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf -I/usr/include -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-for
mat-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c posix-io.c  -fPIC -DPIC -o .libs/posix-io.o
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf -I/usr/include -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-for
mat-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c posix-util.c  -fPIC -DPIC -o .libs/posix-util.o
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf    -I/usr/include   -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-format-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c -o gpgme.lo gpgme.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf -I/usr/include -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-format-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c debug.c  -fPIC -DPIC -o .libs/debug.o
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf    -I/usr/include   -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-format-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c -o version.lo version.c
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf    -I/usr/include   -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-format-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c -o error.lo error.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf -I/usr/include -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-format-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c gpgme.c  -fPIC -DPIC -o .libs/gpgme.o
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf -I/usr/include -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-format-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c version.c  -fPIC -DPIC -o .libs/version.o
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf    -I/usr/include   -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-format-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c -o ath.lo ath.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf    -I/usr/include   -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-format-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c -o gpgme-json.o gpgme-json.c
posix-io.c: In function '_gpgme_io_spawn':
posix-io.c:577:23: error: void value not ignored as it ought to be
  577 |             while ((i = closefrom (fd)) && errno == EINTR)
      |                       ^
make[1]: *** [Makefile:998: posix-io.lo] Error 1
make[1]: *** Waiting for unfinished jobs....
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf -I/usr/include -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-format-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c ath.c  -fPIC -DPIC -o .libs/ath.o
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../conf -I/usr/include -march=native -O2 -pipe -ggdb -frecord-gcc-switches -flto -Wall -Wcast-align -Wshadow -Wstrict-prototypes -Wno-format-y2k -Wno-missing-field-initializers -Wno-sign-compare -Wno-format-zero-length -Wno-format-truncation -Wno-sizeof-pointer-div -c error.c  -fPIC -DPIC -o .libs/error.o
make[1]: Leaving directory '/var/tmp/portage/app-crypt/gpgme-1.16.0/work/gpgme-1.16.0/src'
make: *** [Makefile:536: all-recursive] Error 1
 * ERROR: app-crypt/gpgme-1.16.0::gentoo failed (compile phase):
 *   emake failed
Comment 1 Andreas K. Hüttel archtester gentoo-dev 2021-07-23 19:34:27 UTC
Created attachment 726145 [details]
emerge --info
Comment 2 Andreas K. Hüttel archtester gentoo-dev 2021-07-23 19:34:43 UTC
Created attachment 726148 [details]
build log
Comment 3 Sam James archtester gentoo-dev Security 2021-07-24 02:38:07 UTC
Patch available here: https://src.fedoraproject.org/rpms/gpgme/pull-request/9. Can't find an upstream link yet.
Comment 5 Sam James archtester gentoo-dev Security 2021-08-18 23:25:08 UTC
ping - would you mind applying the patch please?
Comment 6 Larry the Git Cow gentoo-dev 2021-09-05 23:58:52 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87834abded7c46005d3e53d0cfc1282c1d03507c

commit 87834abded7c46005d3e53d0cfc1282c1d03507c
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-09-05 23:58:25 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-09-05 23:58:25 +0000

    app-crypt/gpgme: backport glibc-2.34 patch
    
    Maintainer timeout.
    
    Closes: https://bugs.gentoo.org/803557
    Signed-off-by: Sam James <sam@gentoo.org>

 .../gpgme/files/gpgme-1.16.0-glibc-2.34.patch      | 33 ++++++++++++++++++++++
 app-crypt/gpgme/gpgme-1.16.0.ebuild                |  4 +++
 2 files changed, 37 insertions(+)
Comment 8 Larry the Git Cow gentoo-dev 2021-09-06 15:58:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5fac28c428be08a81a1c08ab2967f2afee45bdd6

commit 5fac28c428be08a81a1c08ab2967f2afee45bdd6
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2021-09-06 15:58:49 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-09-06 15:58:49 +0000

    app-crypt/gpgme: [QA] revert e4f93d3d9d0608a84aaa8afcafc410a1b705e71a
    
    * The revert was done without technical reason, over three weeks
      after the initial request, and the corresponding bug was not
      re-opened.
    
    Bug: https://bugs.gentoo.org/803557
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../gpgme/files/gpgme-1.16.0-glibc-2.34.patch      | 33 ++++++++++++++++++++++
 app-crypt/gpgme/gpgme-1.16.0.ebuild                |  4 +++
 2 files changed, 37 insertions(+)